# \Thelia\Model\BaseCategoryDocumentQuery

Base class that represents a query for the 'category_document' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByCategoryId()
filterByFile()
filterByPosition()
filterByCreatedAt()
filterByUpdatedAt()
filterByCategory()
joinCategory()
useCategoryQuery()
filterByCategoryDocumentI18n()
joinCategoryDocumentI18n()
useCategoryDocumentI18nQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
joinI18n()
joinWithI18n()
useI18nQuery()
orderById()
orderByCategoryId()
orderByFile()
orderByPosition()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByCategoryId()
groupByFile()
groupByPosition()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinCategory()
rightJoinCategory()
innerJoinCategory()
leftJoinCategoryDocumentI18n()
rightJoinCategoryDocumentI18n()
innerJoinCategoryDocumentI18n()
findOne()
findOneOrCreate()
findOneById()
findOneByCategoryId()
findOneByFile()
findOneByPosition()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByCategoryId()
findByFile()
findByPosition()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/CategoryDocumentQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\CategoryDocumentQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\CategoryDocumentQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\CategoryDocumentQuery

Returns a new ChildCategoryDocumentQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryDocument|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\CategoryDocument|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\CategoryDocumentQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\CategoryDocumentQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\CategoryDocumentQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCategoryId()

    filterByCategoryId(mixed $categoryId, string $comparison) : \Thelia\Model\CategoryDocumentQuery

Filter the query on the category_id column

Example usage: `$query->filterByCategoryId(1234); // WHERE category_id = 1234 $query->filterByCategoryId(array(12, 34)); // WHERE category_id IN (12, 34) $query->filterByCategoryId(array('min' => 12)); // WHERE category_id > 12`

#### Parameters

mixed | $categoryId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByFile()

    filterByFile(string $file, string $comparison) : \Thelia\Model\CategoryDocumentQuery

Filter the query on the file column

Example usage: `$query->filterByFile('fooValue'); // WHERE file = 'fooValue' $query->filterByFile('%fooValue%'); // WHERE file LIKE '%fooValue%'`

#### Parameters

string | $file | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPosition()

    filterByPosition(mixed $position, string $comparison) : \Thelia\Model\CategoryDocumentQuery

Filter the query on the position column

Example usage: `$query->filterByPosition(1234); // WHERE position = 1234 $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34) $query->filterByPosition(array('min' => 12)); // WHERE position > 12`

#### Parameters

mixed | $position | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\CategoryDocumentQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\CategoryDocumentQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCategory()

    filterByCategory(\Thelia\Model\Category|\Propel\Runtime\Collection\ObjectCollection $category, string $comparison) : \Thelia\Model\CategoryDocumentQuery

Filter the query by a related \Thelia\Model\Category object

#### Parameters

\Thelia\Model\Category|\Propel\Runtime\Collection\ObjectCollection | $category | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCategory()

    joinCategory(string $relationAlias, string $joinType) : \Thelia\Model\CategoryDocumentQuery

Adds a JOIN clause to the query using the Category relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### useCategoryQuery()

    useCategoryQuery(string $relationAlias, string $joinType) : \Thelia\Model\CategoryQuery

Use the Category relation Category object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CategoryQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCategoryDocumentI18n()

    filterByCategoryDocumentI18n(\Thelia\Model\CategoryDocumentI18n|\Propel\Runtime\Collection\ObjectCollection $categoryDocumentI18n, string $comparison) : \Thelia\Model\CategoryDocumentQuery

Filter the query by a related \Thelia\Model\CategoryDocumentI18n object

#### Parameters

\Thelia\Model\CategoryDocumentI18n|\Propel\Runtime\Collection\ObjectCollection | $categoryDocumentI18n | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCategoryDocumentI18n()

    joinCategoryDocumentI18n(string $relationAlias, string $joinType) : \Thelia\Model\CategoryDocumentQuery

Adds a JOIN clause to the query using the CategoryDocumentI18n relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### useCategoryDocumentI18nQuery()

    useCategoryDocumentI18nQuery(string $relationAlias, string $joinType) : \Thelia\Model\CategoryDocumentI18nQuery

Use the CategoryDocumentI18n relation CategoryDocumentI18n object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CategoryDocumentI18nQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\CategoryDocument $categoryDocument) : \Thelia\Model\CategoryDocumentQuery

Exclude object from result

#### Parameters

\Thelia\Model\CategoryDocument | $categoryDocument | Object to remove from the list of results

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the category_document table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildCategoryDocument or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\CategoryDocumentQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\CategoryDocumentQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\CategoryDocumentQuery

Order by update date desc

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\CategoryDocumentQuery

Order by update date asc

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\CategoryDocumentQuery

Order by create date desc

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\CategoryDocumentQuery

Order by create date asc

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### joinI18n()

    joinI18n(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\CategoryDocumentQuery

Adds a JOIN clause to the query using the i18n relation

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### joinWithI18n()

    joinWithI18n(string $locale, string $joinType) : \Thelia\Model\CategoryDocumentQuery

Adds a JOIN clause to the query and hydrates the related I18n object.

Shortcut for $c->joinI18n($locale)->with()

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\CategoryDocumentQuery —

The current query, for fluid interface

#

## Tags

None found

### useI18nQuery()

    useI18nQuery(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\CategoryDocumentI18nQuery

Use the I18n relation query object

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\CategoryDocumentI18nQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\CategoryDocumentQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### orderByCategoryId()

    orderByCategoryId($order =) : \Thelia\Model\CategoryDocumentQuery

Order by the category_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### orderByFile()

    orderByFile($order =) : \Thelia\Model\CategoryDocumentQuery

Order by the file column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### orderByPosition()

    orderByPosition($order =) : \Thelia\Model\CategoryDocumentQuery

Order by the position column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\CategoryDocumentQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\CategoryDocumentQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\CategoryDocumentQuery

Group by the id column

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### groupByCategoryId()

    groupByCategoryId() : \Thelia\Model\CategoryDocumentQuery

Group by the category_id column

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### groupByFile()

    groupByFile() : \Thelia\Model\CategoryDocumentQuery

Group by the file column

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### groupByPosition()

    groupByPosition() : \Thelia\Model\CategoryDocumentQuery

Group by the position column

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\CategoryDocumentQuery

Group by the created_at column

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\CategoryDocumentQuery

Group by the updated_at column

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\CategoryDocumentQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\CategoryDocumentQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\CategoryDocumentQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### leftJoinCategory()

    leftJoinCategory($relationAlias =) : \Thelia\Model\CategoryDocumentQuery

Adds a LEFT JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### rightJoinCategory()

    rightJoinCategory($relationAlias =) : \Thelia\Model\CategoryDocumentQuery

Adds a RIGHT JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### innerJoinCategory()

    innerJoinCategory($relationAlias =) : \Thelia\Model\CategoryDocumentQuery

Adds a INNER JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### leftJoinCategoryDocumentI18n()

    leftJoinCategoryDocumentI18n($relationAlias =) : \Thelia\Model\CategoryDocumentQuery

Adds a LEFT JOIN clause to the query using the CategoryDocumentI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### rightJoinCategoryDocumentI18n()

    rightJoinCategoryDocumentI18n($relationAlias =) : \Thelia\Model\CategoryDocumentQuery

Adds a RIGHT JOIN clause to the query using the CategoryDocumentI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### innerJoinCategoryDocumentI18n()

    innerJoinCategoryDocumentI18n($relationAlias =) : \Thelia\Model\CategoryDocumentQuery

Adds a INNER JOIN clause to the query using the CategoryDocumentI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryDocumentQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\CategoryDocument

Return the first ChildCategoryDocument matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\CategoryDocument

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\CategoryDocument

Return the first ChildCategoryDocument matching the query, or a new ChildCategoryDocument object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\CategoryDocument

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\CategoryDocument

Return the first ChildCategoryDocument filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\CategoryDocument

#

## Tags

None found

### findOneByCategoryId()

    findOneByCategoryId(int $category_id) : \Thelia\Model\CategoryDocument

Return the first ChildCategoryDocument filtered by the category_id column

#### Parameters

int | $category_id |

#### Returns

\Thelia\Model\CategoryDocument

#

## Tags

None found

### findOneByFile()

    findOneByFile(string $file) : \Thelia\Model\CategoryDocument

Return the first ChildCategoryDocument filtered by the file column

#### Parameters

string | $file |

#### Returns

\Thelia\Model\CategoryDocument

#

## Tags

None found

### findOneByPosition()

    findOneByPosition(int $position) : \Thelia\Model\CategoryDocument

Return the first ChildCategoryDocument filtered by the position column

#### Parameters

int | $position |

#### Returns

\Thelia\Model\CategoryDocument

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\CategoryDocument

Return the first ChildCategoryDocument filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\CategoryDocument

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\CategoryDocument

Return the first ChildCategoryDocument filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\CategoryDocument

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildCategoryDocument objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByCategoryId()

    findByCategoryId(int $category_id) : array

Return ChildCategoryDocument objects filtered by the category_id column

#### Parameters

int | $category_id |

#### Returns

array

#

## Tags

None found

### findByFile()

    findByFile(string $file) : array

Return ChildCategoryDocument objects filtered by the file column

#### Parameters

string | $file |

#### Returns

array

#

## Tags

None found

### findByPosition()

    findByPosition(int $position) : array

Return ChildCategoryDocument objects filtered by the position column

#### Parameters

int | $position |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildCategoryDocument objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildCategoryDocument objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryDocument

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\CategoryDocument —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryDocument|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\CategoryDocument|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### CategoryDocumentQuery.php